com.sun.jna.platform.win32

## Interface WinBase.FE_EXPORT_FUNC

All Superinterfaces:
  AltCallingConvention, Callback, StdCall, StdCallLibrary.StdCallCallback

Enclosing interface:
  WinBase

    public static interface WinBase.FE_EXPORT_FUNC
    extends StdCallLibrary.StdCallCallback

An application-defined callback function used with ReadEncryptedFileRaw. The system calls ExportCallback one or more times, each time with a block of the encrypted file's data, until it has received all of the file data. ExportCallback writes the encrypted file's data to another storage media, usually for purposes of backing up the file.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.jna.Callback

`Callback.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from interface com.sun.jna.Callback

`FORBIDDEN_NAMES, METHOD_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`WinDef.DWORD` `callback(Pointer pbData, Pointer pvCallbackContext, WinDef.ULONG ulLength)`

### Method Detail

#### callback

    WinDef.DWORD callback(Pointer pbData,
                          Pointer pvCallbackContext,
                          WinDef.ULONG ulLength)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.